summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorMarc Kleine-Budde <mkl@pengutronix.de>2009-06-16 21:24:46 +0000
committerMarc Kleine-Budde <mkl@pengutronix.de>2009-06-16 21:24:46 +0000
commit662e5c009e081cc482686eb3e3c17aeb6c29f57c (patch)
treed30f3a2789bcae2375907a9c29fde78b2cff150e /bin
parentf9a108bcbbbcf082bef7f2c08b35a49e6b6615a9 (diff)
downloadptxdist-662e5c009e081cc482686eb3e3c17aeb6c29f57c.tar.gz
ptxdist-662e5c009e081cc482686eb3e3c17aeb6c29f57c.tar.xz
[ptxdist] config file and ptxdist version must match
as long as we're not stable, ptxdist and config file versions must match Signed-off-by: Marc Kleine-Budde <mkl@pengutronix.de> git-svn-id: https://svn.pengutronix.de/svn/ptxdist/trunks/ptxdist-trunk@10804 33e552b5-05e3-0310-8538-816dae2090ed
Diffstat (limited to 'bin')
-rwxr-xr-xbin/ptxdist14
1 files changed, 14 insertions, 0 deletions
diff --git a/bin/ptxdist b/bin/ptxdist
index 5f272fb07..a8f67330b 100755
--- a/bin/ptxdist
+++ b/bin/ptxdist
@@ -182,6 +182,8 @@ check_path() {
#
# check a ptxdist version against a configfile version.
#
+# as long as we're not 2.0 (i.e. stable) the versions _must_ match
+#
# - The ptxdist major version has to be equal to the configfile major version
# - The ptxdist minor version has to be equal to the configfile minor version
# - The ptxdist micro version has to greater than or equal to the configfile
@@ -194,6 +196,18 @@ check_version() {
return 0
fi
+ ####################################################################
+ # as long as we're not 2.0 (i.e. stable) the versions _must_ match #
+ ####################################################################
+
+ if [ "${1}" = "${PTXDIST_VERSION_FULL}" ]; then
+ return
+ else
+ return 1
+ fi
+
+ exit 1 # not reached
+
local ifs_old="${IFS}"
IFS=.
set -- ${1}